Bug 1568713 - Automatically install the dependent plugins for the Ansible plugin
Summary: Automatically install the dependent plugins for the Ansible plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: Nightly
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: 1449011
TreeView+ depends on / blocked
 
Reported: 2018-04-18 07:20 UTC by Martin Korbel
Modified: 2019-11-05 23:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:54:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Korbel 2018-04-18 07:20:41 UTC
Description of problem:
The Ansible plugin depend on Remote Execution plugin. 
If we don't have installed Remote Execution plugin, we don't get any warning and the ansible plugin does not work. 

Version-Release numbe

foreman-installer-1.18.0-0.develop.201804160328gitc9bede9.el7


How reproducible:
100%

Steps to Reproduce:
1. > foreman-installer --enable-foreman-plugin-ansible --enable-foreman-proxy-plugin-ansible
2. import a role and run it

Actual results:
Failed to connect to the host via ssh: Could not create directory '/usr/share/foreman-proxy/.ssh'.

Expected results:
The foreman installer installs all required dependencies automatically.

Additional info:

Comment 1 Brad Buckingham 2018-04-20 14:40:11 UTC
This is needed to support the 6.4 feature.

Comment 2 Brad Buckingham 2018-04-20 14:42:29 UTC
Associating with feature tracker bug 1449011

Comment 4 Martin Korbel 2018-05-29 09:00:52 UTC
VERIFIED on snap_6.4.0_5.0

The Remote Execution plugin was installed automatically.

Comment 6 Bryan Kearney 2018-10-16 18:54:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.